net.sf.jasperreports.components.list

## Interface ListComponent

- All Superinterfaces:
    java.lang.Cloneable, Component, JRCloneable, JRVisitable
  All Known Implementing Classes:
    StandardListComponent

      public interface ListComponent
      extends Component, JRCloneable, JRVisitable

  List component interface.
  Version:
    $Id: ListComponent.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListContents` | `getContents()` Returns the list item contents.
    `JRDatasetRun` | `getDatasetRun()` Returns the subdataset run information that will be used by this list.
    `java.lang.Boolean` | `getIgnoreWidth()` Returns the flag that determines whether the element width is to be ignored when filling this list.
    `PrintOrderEnum` | `getPrintOrderValue()` Returns the print order of the list cells.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

- - ### Method Detail

    - #### getDatasetRun

          JRDatasetRun getDatasetRun()

      Returns the subdataset run information that will be used by this list.

      This information is required to instantiate a subdataset from the report. The data produced by the subdataset is fed to the list item contents.

      Returns:
        the subdataset run information

    - #### getContents

          ListContents getContents()

      Returns the list item contents.

      Each record produced by the list subdataset is used to fill the list item contents and the result is included in the generated report.

      Returns:
        the list item contents

    - #### getPrintOrderValue

          PrintOrderEnum getPrintOrderValue()

      Returns the print order of the list cells.

      The list cells can be either printed vertically one beneath another (on a single column), or horizontally on rows of 2 or more columns.

      The default print order (used when no explicit order has been set) is vertical.

      Returns:
        the list print order if set, one of
        - `PrintOrderEnum.VERTICAL`
        - `PrintOrderEnum.HORIZONTAL`
      See Also:
        `ListContents.getWidth()`

    - #### getIgnoreWidth

          java.lang.Boolean getIgnoreWidth()

      Returns the flag that determines whether the element width is to be ignored when filling this list.

      This flag only applies to horizontally filled reports. If the flag is set, the list will be filled on a single row.

      By default, the flag is not set.

      See Also:
        `getPrintOrderValue()`, `JRCrosstab.setIgnoreWidth(Boolean)`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com